KDE 4.9 PyKDE API Reference

- KDE's Python API

# GeoDataTimeStamp Class Reference

`from PyKDE4.marble import *`

Inherits: Marble.GeoDataTimePrimitive → Marble.GeoDataObject → Marble.GeoNode
Namespace: Marble

## Detailed Description

## Enumerations
TimeResolution | { SecondResolution, DayResolution, MonthResolution, YearResolution }
## Methods
| __init__ (self)
| __init__ (self, Marble.GeoDataTimeStamp other)
QString | nodeType (self)
| pack (self, QDataStream stream)
Marble.GeoDataTimeStamp.TimeResolution | resolution (self)
| setResolution (self, Marble.GeoDataTimeStamp.TimeResolution resolution)
| setWhen (self, QDateTime when)
| unpack (self, QDataStream stream)
QDateTime | when (self)

## Method Documentation

__init__ | ( |  | self ) |

__init__ | ( | self, |
|  | Marble.GeoDataTimeStamp | other
| ) |  |  |

QString nodeType | ( |  | self ) |

pack | ( | self, |
|  | QDataStream | stream
| ) |  |  |

Serialize the timestamp to a stream

Parameters:

  |  | stream the stream

Marble.GeoDataTimeStamp.TimeResolution resolution | ( |  | self ) |

setResolution | ( | self, |
|  | Marble.GeoDataTimeStamp.TimeResolution | resolution
| ) |  |  |

setWhen | ( | self, |
|  | QDateTime | when
| ) |  |  |

Set the when time of timestamp

Parameters:

  | when | the when time of timestamp

unpack | ( | self, |
|  | QDataStream | stream
| ) |  |  |

Unserialize the timestamp from a stream

Parameters:

  |  | stream the stream

QDateTime when | ( |  | self ) |

return the when time of timestamp

## Enumeration Documentation

TimeResolution

Enumerator:

  SecondResolution |
  DayResolution |
  MonthResolution |
  YearResolution |